# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit ae5baac932af877cb18df6853d45f033ed9b270f
    parent bef87acd0d0e22ba4689be6f1c39ce2d90812317
    Author: Aurélien Aptel <aurelien.aptel@gmail.com>
    Date:   Mon, 30 Aug 2010 13:04:19 +0200

    use predefined OS macro instead of uname.

    Diffstat:
    MMakefile | 1-
    Mconfig.mk | 9+--------
    Mst.c | 6+++---

    3 files changed, 4 insertions(+), 12 deletions(-)
    diff --git a/Makefile b/Makefile
    @@ -10,7 +10,6 @@ all: options st

     options:
     	@echo st build options:
    -	@echo "SYSTEM   = ${SYSTEM}"
     	@echo "CFLAGS   = ${CFLAGS}"
     	@echo "LDFLAGS  = ${LDFLAGS}"
     	@echo "CC       = ${CC}"
    diff --git a/config.mk b/config.mk
    @@ -14,15 +14,8 @@ X11LIB = /usr/X11R6/lib
     INCS = -I. -I/usr/include -I${X11INC}
     LIBS = -L/usr/lib -lc -L${X11LIB} -lX11 -lutil

    -# uncomment manualy your system if compilation fail
    -SYSTEM = -D`uname | tr a-z A-Z`
    -#SYSTEM = -DLINUX
    -#SYSTEM = -DOPENBSD
    -#SYSTEM = -DFREEBSD
    -#SYSTEM = -DNETBSD
    -
     # flags
    -CPPFLAGS = -DVERSION=\"${VERSION}\" ${SYSTEM}
    +CPPFLAGS = -DVERSION=\"${VERSION}\"
     CFLAGS = -std=c99 -pedantic -Wall -Os ${INCS} ${CPPFLAGS}
     LDFLAGS = -s ${LIBS}

    diff --git a/st.c b/st.c
    @@ -20,11 +20,11 @@
     #include <X11/keysym.h>
     #include <X11/Xutil.h>

    -#if   defined(LINUX)
    +#if   defined(__linux)
      #include <pty.h>
    -#elif defined(OPENBSD) || defined(NETBSD)
    +#elif defined(__OpenBSD__) || defined(__NetBSD__)
      #include <util.h>
    -#elif defined(FREEBSD)
    +#elif defined(__FreeBSD__) || defined(__DragonFly__)
      #include <libutil.h>
     #endif